package com.cool.bang.core.config.DBConfig;

import org.apache.ibatis.session.SqlSessionFactory;
import org.mybatis.spring.SqlSessionFactoryBean;
import org.mybatis.spring.SqlSessionTemplate;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.io.support.PathMatchingResourcePatternResolver;

import javax.sql.DataSource;

@Configuration
@MapperScan(value = "com.cool.bang.modules.oracle.mapper",sqlSessionFactoryRef = "oracleSqlSessionFactoryBean")
public class YszjOracleDBConfig {

    @Autowired
    @Qualifier("oracleDataSource")
    DataSource oracleDataSource;

    @Bean
    public SqlSessionFactory oracleSqlSessionFactoryBean() throws Exception {
        SqlSessionFactoryBean factoryBean = new SqlSessionFactoryBean();
        factoryBean.setDataSource(oracleDataSource);
        factoryBean.setMapperLocations(new PathMatchingResourcePatternResolver().getResources("classpath*:mapper/oracle/*.xml"));
        return factoryBean.getObject();
    }

    @Bean
    SqlSessionTemplate misSqlSessionTemplate() throws Exception {
        return new SqlSessionTemplate(oracleSqlSessionFactoryBean());
    }
}
