package com.cool.bang.modules.mysql.domain;

import com.cool.bang.modules.oracle.domain.po.BDj;

import java.math.BigDecimal;
import java.util.Date;


public class Earnest {

    private static final long serialVersionUID = 1L;

    /**
     * 业务编号
     */
    private String businessNumber;

    /**
     * 银行编号
     */
    private String bankCode;

    /**
     * 合同编号
     */
    private String contractNumber;

    /**
     * 企业主键
     */
    private Integer orgId;

    /**
     * 企业名称
     */
    private String orgName;

    /**
     * 项目主键
     */
    private Long projectId;

    /**
     * 项目虚拟户主键
     */
    private Long projectAccountId;

    /**
     * 项目编号
     */
    private String projectNumber;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 楼幢虚拟户主键
     */
    private Long buildingAccountId;

    /**
     * 楼幢编号
     */
    private String buildingNumber;

    /**
     * 楼幢名称
     */
    private String buildingName;

    /**
     * 买受人
     */
    private String buyer;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 收款银行
     */
    private String collectionBank;

    /**
     * 收款户名
     */
    private String collectionName;

    /**
     * 收款账号
     */
    private String collectionAccount;

    /**
     * 收款开户网点
     */
    private String collectionOpenAddress;

    /**
     * 账户主键
     */
    private Long accountId;

    /**
     * 账户类型 1托管账户 2监管账户
     */
    private Integer accountType;

    /**
     * 应交存金额
     */
    private BigDecimal payableAmount;

    /**
     * 已交存金额
     */
    private BigDecimal paidAmount;

    /**
     * 待交存金额
     */
    private BigDecimal unpaidAmount;

    /**
     * PDF路径
     */
    private String pdfUrl;

    /**
     * 交存状态 0未交存 1未足额 2已交存
     */
    private Integer paymentStatus;

    /**
     * 挂接状态 0未挂接合同 1已挂接合同
     */
    private Integer connectStatus;

    private Date createTime;

    private String remark;
    /**
     * 删除标识 1正常 0删除
     */
    private Integer delFlag;


    public Earnest(BDj item, BuildingAccount buildingAccount, ProjectAccount projectAccount, Account account, Org org) {
        this.businessNumber = item.getDJBH();
        this.contractNumber = item.getHTBH();
        this.orgId = org.getId();
        this.orgName = org.getOrgName();
        if (null != projectAccount) {
            this.projectId = projectAccount.getProjectId();
            this.projectAccountId = projectAccount.getId();
            this.projectName = projectAccount.getProjectName();
            this.projectNumber = projectAccount.getProjectNumber();
        }
        if (null != buildingAccount) {
            this.buildingAccountId = buildingAccount.getId();
            this.buildingNumber = buildingAccount.getBuildingNumber();
            this.buildingName = buildingAccount.getBuildingName();
        }
        this.buyer = item.getBUYERNAME();
        this.idCard = item.getBUYERCODE();
        this.phone = null;
        if (null != account) {
            this.collectionBank = account.getBankName();
            this.collectionName = account.getName();
            this.collectionAccount = account.getAccount();
            this.collectionOpenAddress = account.getOpenAddress();
            this.accountType = account.getType();
            this.bankCode = account.getBankCode();
            this.accountId = account.getId();
        }
        this.payableAmount = item.getJKJE();
        if (null != item.getTRADEAMOUNT()) {
            this.paidAmount = item.getTRADEAMOUNT();
        } else {
            this.paidAmount = BigDecimal.ZERO;
        }
        this.pdfUrl = null;
        this.unpaidAmount = payableAmount.subtract(this.paidAmount);
        //应交  = 已交
        if (this.payableAmount.compareTo(this.paidAmount) == 0) {
            this.paymentStatus = 2;//已交存
        } else if (this.payableAmount.compareTo(this.unpaidAmount) == 0) {
            this.paymentStatus = 0;//未交存
        }else if (this.paidAmount.compareTo(this.payableAmount) == -1) {
            this.paymentStatus = 1;//未足额
        }
        this.connectStatus = null != item.getHTID() ? 1 : 0;
        this.delFlag = 1;
        this.createTime = item.getCreateTime();
    }


    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public Long getProjectAccountId() {
        return projectAccountId;
    }

    public void setProjectAccountId(Long projectAccountId) {
        this.projectAccountId = projectAccountId;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getBuildingAccountId() {
        return buildingAccountId;
    }

    public void setBuildingAccountId(Long buildingAccountId) {
        this.buildingAccountId = buildingAccountId;
    }

    public String getBuildingNumber() {
        return buildingNumber;
    }

    public void setBuildingNumber(String buildingNumber) {
        this.buildingNumber = buildingNumber;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public String getBuyer() {
        return buyer;
    }

    public void setBuyer(String buyer) {
        this.buyer = buyer;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getCollectionBank() {
        return collectionBank;
    }

    public void setCollectionBank(String collectionBank) {
        this.collectionBank = collectionBank;
    }

    public String getCollectionName() {
        return collectionName;
    }

    public void setCollectionName(String collectionName) {
        this.collectionName = collectionName;
    }

    public String getCollectionAccount() {
        return collectionAccount;
    }

    public void setCollectionAccount(String collectionAccount) {
        this.collectionAccount = collectionAccount;
    }

    public String getCollectionOpenAddress() {
        return collectionOpenAddress;
    }

    public void setCollectionOpenAddress(String collectionOpenAddress) {
        this.collectionOpenAddress = collectionOpenAddress;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public void setAccountType(Integer accountType) {
        this.accountType = accountType;
    }

    public BigDecimal getPayableAmount() {
        return payableAmount;
    }

    public void setPayableAmount(BigDecimal payableAmount) {
        this.payableAmount = payableAmount;
    }

    public BigDecimal getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(BigDecimal paidAmount) {
        this.paidAmount = paidAmount;
    }

    public BigDecimal getUnpaidAmount() {
        return unpaidAmount;
    }

    public void setUnpaidAmount(BigDecimal unpaidAmount) {
        this.unpaidAmount = unpaidAmount;
    }

    public String getPdfUrl() {
        return pdfUrl;
    }

    public void setPdfUrl(String pdfUrl) {
        this.pdfUrl = pdfUrl;
    }

    public Integer getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(Integer paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public Integer getConnectStatus() {
        return connectStatus;
    }

    public void setConnectStatus(Integer connectStatus) {
        this.connectStatus = connectStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
