package com.cool.bang.modules.mysql.domain;

import com.cool.bang.modules.oracle.domain.po.Gcjdsq;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 形象进度申请明细表
 *
 * @author PeiZhi Guo
 * 2022-9-14 11:29
 */
public class ProgressDetail {

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 工程进度申请主键 */
    private Long progressBusinessId;

    /** 楼幢虚拟户主键 */
    private Long buildingAccountId;

    /** 楼幢虚拟户名 */
    private String buildingAccountName;

    /** 楼幢编号 */
    private Integer buildingNumber;

    /** 楼幢名称 */
    private String buildingName;

    /** 当前工程进度 */
    private String nowProgressName;

    /** 申请工程进度节点主键 */
    private Long progressId;

    /** 形象进度名称 */
    private String progressName;

    /** 受限比例 */
    private BigDecimal limitPercentage;

    /** 图片地址 */
    private String url;

    private Date createTime;
    private Date updateTime;

    // ------

    /** 调剂比例 */
    private BigDecimal adjustmentPercentage;

    /** 银行保证函抵扣比例 */
    private BigDecimal bankPercentage;

    /** 监管金额 */
    private BigDecimal superviseAmount;

    /** 留存金额 */
    private BigDecimal keepAmount;

    public ProgressDetail(){}

    public ProgressDetail(BuildingAccount buildingAccount, ProgressConfig config, Gcjdsq gcjdsq){
        this.buildingAccountId = buildingAccount.getId();
        this.buildingAccountName = buildingAccount.getBuildingName();
        this.buildingNumber = buildingAccount.getBuildingId();
        this.buildingName = buildingAccount.getBuildingName();
        this.nowProgressName = config.getProgressName(); //取不到;
        this.progressId = config.getId();
        this.progressName = config.getProgressName();
        this.limitPercentage = config.getLimitPercentage();
        this.createTime = gcjdsq.getSqsj();
        this.updateTime = gcjdsq.getShsj();
    }


    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProgressBusinessId() {
        return progressBusinessId;
    }

    public void setProgressBusinessId(Long progressBusinessId) {
        this.progressBusinessId = progressBusinessId;
    }

    public Long getBuildingAccountId() {
        return buildingAccountId;
    }

    public void setBuildingAccountId(Long buildingAccountId) {
        this.buildingAccountId = buildingAccountId;
    }

    public String getBuildingAccountName() {
        return buildingAccountName;
    }

    public void setBuildingAccountName(String buildingAccountName) {
        this.buildingAccountName = buildingAccountName;
    }

    public Integer getBuildingNumber() {
        return buildingNumber;
    }

    public void setBuildingNumber(Integer buildingNumber) {
        this.buildingNumber = buildingNumber;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public String getNowProgressName() {
        return nowProgressName;
    }

    public void setNowProgressName(String nowProgressName) {
        this.nowProgressName = nowProgressName;
    }

    public Long getProgressId() {
        return progressId;
    }

    public void setProgressId(Long progressId) {
        this.progressId = progressId;
    }

    public String getProgressName() {
        return progressName;
    }

    public void setProgressName(String progressName) {
        this.progressName = progressName;
    }

    public BigDecimal getLimitPercentage() {
        return limitPercentage;
    }

    public void setLimitPercentage(BigDecimal limitPercentage) {
        this.limitPercentage = limitPercentage;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public BigDecimal getAdjustmentPercentage() {
        return adjustmentPercentage;
    }

    public void setAdjustmentPercentage(BigDecimal adjustmentPercentage) {
        this.adjustmentPercentage = adjustmentPercentage;
    }

    public BigDecimal getBankPercentage() {
        return bankPercentage;
    }

    public void setBankPercentage(BigDecimal bankPercentage) {
        this.bankPercentage = bankPercentage;
    }

    public BigDecimal getSuperviseAmount() {
        return superviseAmount;
    }

    public void setSuperviseAmount(BigDecimal superviseAmount) {
        this.superviseAmount = superviseAmount;
    }

    public BigDecimal getKeepAmount() {
        return keepAmount;
    }

    public void setKeepAmount(BigDecimal keepAmount) {
        this.keepAmount = keepAmount;
    }
}
