package com.cool.bang.modules.mysql.domain;

import com.cool.bang.common.util.DateUtil;
import com.cool.bang.modules.oracle.domain.OracleRelieve;
import com.cool.bang.modules.oracle.domain.po.Jgxmjc;
import com.cool.bang.modules.oracle.domain.po.Jgyw;

import java.util.Date;

/**
 * 监管账户解除业务
 *
 * @author PeiZhi Guo
 * 2022-11-07 17:46
 */
public class SuperviseRelieve {

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 业务编号 */
    private String businessNumber;

    /** 账户ID */
    private Long accountId;

    /** 账户 */
    private String name;

    /** 账号 */
    private String account;

    /** 企业ID */
    private Integer orgId;

    /** 企业名称 */
    private String orgName;

    /** 银行编码 */
    private String bankCode;

    /** 银行名称 */
    private String bankName;

    /** 开户网点 */
    private String accountOpenAddress;

    /** 项目户ID */
    private Long projectAccountId;

    /** 项目编码 */
    private String projectNumber;

    /** 项目名称 */
    private String projectName;

    /** 项目地址 */
    private String projectAddress;

    /** pdf路径（解除监管通知书） */
    private String pdfUrl;

    /** 业务状态 0已撤销 1已申请 2已完成 */
    private Integer businessState;

    /** 删除标识 1正常 0删除 */
    private Integer delFlag;

    private Date createTime;

    private Date updateTime;

    public SuperviseRelieve(){}

//    public SuperviseRelieve(Account account, Org org, Project project, Jgyw jgyw){
//        this.businessNumber = jgyw.getYwbh();
//        this.bankCode = account.getBankCode();
//        this.orgId = org.getId();
//        this.orgName = org.getOrgName();
//        this.projectId = project.getId();
//        this.projectNumber = project.getProjectNumber();
//        this.projectName = project.getProjectName();
//        this.projectAddress = project.getProjectAddress();
//        this.accountId = account.getId();
//        this.bankName = account.getBankName();
//        this.name = account.getName();
//        this.account = account.getAccount();
//        this.accountOpenAddress = account.getOpenAddress();
//        this.businessState = 2;
//        this.delFlag = 1;
//        this.createTime = DateUtil.strToDate(jgyw.getSqsj(),"yyyy-MM-dd HH:mm:ss");
//        this.updateTime = DateUtil.strToDate(jgyw.getSpsj(),"yyyy-MM-dd HH:mm:ss");
//    }

    public SuperviseRelieve(Account account, Org org, Project project, OracleRelieve param) {
        this.businessNumber = param.getBusinessNumber();
        this.createTime = param.getCreateTime();
        this.updateTime = param.getUpdateTime();

        this.bankCode = account.getBankCode();
        this.accountId = account.getId();
        this.bankName = account.getBankName();
        this.name = account.getName();
        this.account = account.getAccount();
        this.accountOpenAddress = account.getOpenAddress();

        this.orgId = org.getId();
        this.orgName = org.getOrgName();

        this.projectAccountId = project.getId();
        this.projectNumber = project.getProjectNumber();
        this.projectName = project.getProjectName();
        this.projectAddress = project.getProjectAddress();

        this.businessState = 2;
        this.delFlag = 1;
    }



    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getAccountOpenAddress() {
        return accountOpenAddress;
    }

    public void setAccountOpenAddress(String accountOpenAddress) {
        this.accountOpenAddress = accountOpenAddress;
    }

    public Long getProjectAccountId() {
        return projectAccountId;
    }

    public void setProjectAccountId(Long projectAccountId) {
        this.projectAccountId = projectAccountId;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectAddress() {
        return projectAddress;
    }

    public void setProjectAddress(String projectAddress) {
        this.projectAddress = projectAddress;
    }

    public String getPdfUrl() {
        return pdfUrl;
    }

    public void setPdfUrl(String pdfUrl) {
        this.pdfUrl = pdfUrl;
    }

    public Integer getBusinessState() {
        return businessState;
    }

    public void setBusinessState(Integer businessState) {
        this.businessState = businessState;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
