package com.cool.bang.modules.mysql.domain;

import com.cool.bang.common.util.DateUtil;
import com.cool.bang.modules.oracle.domain.Bxmxy;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 托管申请
 *
 * @author sy
 * 2022-08-25 14:25
 */
public class TrusteeshipBusiness {

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 业务编号 */
    private String businessNumber;

    /** 企业主键 */
    private Integer orgId;

    /** 企业名称 */
    private String orgName;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    private String projectName;

    /** 项目编码 */
    private String projectNumber;

    /** 项目坐落 */
    private String projectAddress;

    /** 建筑面积 单位平方米，由开发单位根据规划信息手工填写 */
    private BigDecimal buildArea;

    /** 建筑成本主键 */
    private Long buildCostId;

    /** 建筑成本名称 */
    private String buildCostName;

    /** 法定代表人 */
    private String legalPerson;

    /** 联系电话 */
    private String legalPhone;

    /** 联系人 */
    private String operator;

    /** 联系电话 */
    private String operatorPhone;

    /** 流程号 */
    private String flowNumber;

    /** 流程节点 */
    private Long flowNodeId;

    /** 流程节点名称 */
    private String flowNodeName;

    /** 申请时间 */
    private String submitDate;

    /** 业务状态 0暂存 1发起申请 2正在审核 3申请成功 4申请退回 */
    private Integer businessState;

    /** 申请表路径 */
    private String pdfUrl;

    /** 删除标识 1正常 0删除 */
    private Integer delFlag;

    /** 企业签章人 */
    private String signer;

    /** 企业签章人电话 */
    private String signerPhone;

    private Date createTime;

    public TrusteeshipBusiness() {}

    public TrusteeshipBusiness(Project project, Org org, Bxmxy bxmxy) {
        this.flowNumber = "202212191455096304";
        this.projectId = project.getId();
        this.projectName = project.getProjectName();
        this.buildCostId = project.getBuildCostId();
        this.buildCostName = project.getBuildCostName();

        this.orgId = org.getId();
        this.orgName = org.getOrgName();

        this.businessNumber = bxmxy.getYwbh();
        this.projectNumber = bxmxy.getXmbh();
        this.projectAddress = bxmxy.getXmzl();
        this.buildArea = bxmxy.getJzmj();
        this.legalPerson = bxmxy.getFr();
        this.legalPhone = bxmxy.getFrdh();
        this.operator = bxmxy.getLxr();
        this.operatorPhone = bxmxy.getLxdh();
        this.submitDate = bxmxy.getSqsj();
        this.businessState = stateSwitch(bxmxy.getBljd());
        this.pdfUrl = null;
        this.delFlag = 1;
        this.createTime = DateUtil.strToDate(bxmxy.getSqsj(),"yyyy-MM-dd HH:mm:ss");
        this.submitDate = bxmxy.getSqsj();
        this.signer = bxmxy.getQyqzr();
        this.signerPhone = bxmxy.getQyqzrdh();
    }

    public Integer stateSwitch(Integer data){
        if (data == 1){
            return 1;
        }else {
            return 3;
        }
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getSigner() {
        return signer;
    }

    public void setSigner(String signer) {
        this.signer = signer;
    }

    public String getSignerPhone() {
        return signerPhone;
    }

    public void setSignerPhone(String signerPhone) {
        this.signerPhone = signerPhone;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectAddress() {
        return projectAddress;
    }

    public void setProjectAddress(String projectAddress) {
        this.projectAddress = projectAddress;
    }

    public BigDecimal getBuildArea() {
        return buildArea;
    }

    public void setBuildArea(BigDecimal buildArea) {
        this.buildArea = buildArea;
    }

    public Long getBuildCostId() {
        return buildCostId;
    }

    public void setBuildCostId(Long buildCostId) {
        this.buildCostId = buildCostId;
    }

    public String getBuildCostName() {
        return buildCostName;
    }

    public void setBuildCostName(String buildCostName) {
        this.buildCostName = buildCostName;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getLegalPhone() {
        return legalPhone;
    }

    public void setLegalPhone(String legalPhone) {
        this.legalPhone = legalPhone;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getOperatorPhone() {
        return operatorPhone;
    }

    public void setOperatorPhone(String operatorPhone) {
        this.operatorPhone = operatorPhone;
    }

    public String getFlowNumber() {
        return flowNumber;
    }

    public void setFlowNumber(String flowNumber) {
        this.flowNumber = flowNumber;
    }

    public Long getFlowNodeId() {
        return flowNodeId;
    }

    public void setFlowNodeId(Long flowNodeId) {
        this.flowNodeId = flowNodeId;
    }

    public String getFlowNodeName() {
        return flowNodeName;
    }

    public void setFlowNodeName(String flowNodeName) {
        this.flowNodeName = flowNodeName;
    }

    public String getSubmitDate() {
        return submitDate;
    }

    public void setSubmitDate(String submitDate) {
        this.submitDate = submitDate;
    }

    public Integer getBusinessState() {
        return businessState;
    }

    public void setBusinessState(Integer businessState) {
        this.businessState = businessState;
    }

    public String getPdfUrl() {
        return pdfUrl;
    }

    public void setPdfUrl(String pdfUrl) {
        this.pdfUrl = pdfUrl;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
