package com.cool.bang.modules.mysql.mapper;

import com.cool.bang.modules.mysql.domain.AppropriationDetail;
import com.cool.bang.modules.mysql.domain.BuildingAccount;
import com.cool.bang.modules.mysql.domain.RelieveDetail;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Repository
public interface BuildingAccountMapper {

    /**
     * 插入楼幢虚拟户表数据
     * @param buildingAccountList
     * @return
     */
    int insertBuildingAccount(@Param("projectAccountId") Long projectAccountId,
                              @Param("list") List<BuildingAccount> buildingAccountList);

    /**
     * 通过楼幢编号查询
     * @param buildingNumber
     * @return
     */
    BuildingAccount selectByBuildingNumber(String buildingNumber);

    /**
     * 变更楼幢虚拟户额度内拨付金额
     * @param details
     * @return
     */
    int updateInLimitFundById(@Param("list") List<AppropriationDetail> details);

    /**
     * 变更楼幢解除状态
     * @param relieveDetailList
     * @return
     */
    int updateRelieve(@Param("list") List<RelieveDetail> relieveDetailList, @Param("relieveDate")Date relieveDate);
    /**
     * 通过楼栋编号查询详情
     * @param lzbh
     * @return
     */
    BuildingAccount getInfoByLZBH(@Param("lzbh") String lzbh);
}
