package com.cool.bang.modules.mysql.service;

import com.cool.bang.modules.mysql.domain.mysql.MysqlUser;
import com.cool.bang.modules.mysql.mapper.UserMapper;
import com.cool.bang.modules.oracle.domain.OracleUser;
import com.cool.bang.modules.oracle.mapper.OracleMapper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 系统用户导入
 *
 * @author PeiZhi Guo
 * 2023-3-6 17:00
 */
@Service
public class UserService extends BaseService {

    @Resource
    private UserMapper userMapper;

    @Transactional
    public void execute() {
        long startTime = System.currentTimeMillis();
        System.out.println(">>>>>>>>>>>>>>>>>>" + "导入用户开始执行，" + startTime);
        // 查询原系统企业用户
        List<OracleUser> oracleUsers = oracleMapper.selectByUser();

        for (OracleUser user : oracleUsers) {
            MysqlUser mysqlUser = new MysqlUser(user);
            if (user.getUsertype().equals(1)) {
                if (user.getQybh() ==null || user.getQybh().equals("1")) {
                    continue;
                }
                Map<String, Object> map = userMapper.selectByOrgCode(user.getQybh());
                mysqlUser.setOrgId((Integer) map.get("id"));
            }
            userMapper.insert(mysqlUser);
            userMapper.insertRole(mysqlUser.getId(), 3L);
        }
        System.out.println(">>>>>>>>>>>>>>>>>>" + "导入用户执行结束，用时："
                + (System.currentTimeMillis() - startTime) + "ms");
    }
}
